# JoBot 🤖

Telegram-бот для автоматизации поиска работы через HeadHunter API.  
Помогает соискателям управлять откликами и получать актуальные вакансии.

## 🔥 Возможности

- **Авторизация через HH**  
  Привяжите аккаунт HeadHunter для доступа к резюме и вакансиям.
- **Умные отклики**  
  Автоматическая отправка откликов на подходящие вакансии.
- **Проверка резюме**  
  Уведомления, если резюме требует обновления.
- **Аналитика**  
  Статистика по откликам и приглашениям.

## 🛠 Технологии

- **Backend**: .NET 8 + gRPC  
- **База данных**: PostgreSQL  
- **Авторизация**: OAuth 2.0 (HH API)  
- **Инфраструктура**: Docker + Kubernetes (опционально)

## 🚀 Запуск

### Требования
- .NET 8 SDK
- Docker (для работы с БД)
- Аккаунт разработчика на [dev.hh.ru](https://dev.hh.ru)

### 1. Настройка конфигурации
Создайте `appsettings.json` в `JOBot.TClient` на основе `appsettings.Example.json`

### 2. Запуск через Docker
```
docker-compose up -d
dotnet run --project JoBot.Backend
dotnet run --project JoBot.Client
```

## 📌 Команды бота
|Команда|Описание|
|-------|--------|
|/start	|Начало работы|
|/connect_hh|Привязать аккаунт HH|
|/jobs	 |Поиск вакансий|
|/profile|Проверить резюме|
|/stats  |Статистика откликов|

## 🔒 Безопасность
Токены пользователей шифруются (AES-256)

Все данные передаются через HTTPS

📄 Лицензия
MIT License. Подробнее в файле LICENSE.

## Отказ от ответственности

Продолжая, вы принимаете [политику конфиденциальности](https://hh.ru/article/personal_data?backurl=%2F&role=applicant) и [правила сервиса](https://hh.ru/account/agreement?backurl=%2Faccount%2Fsignup%3Fbackurl%3D%252F%26role%3Dapplicant&role=applicant) hh.ru

Этот сервис никак не связан с HeadHunter™ (далее hh.ru), не выдаёт себя за hh.ru и не является hh.ru